Skip to main content
GET
/
api
/
sol
/
platform
/
pnl-distribution
PnL histogram distribution
curl --request GET \
  --url 'https://uk.raze.sh/api/sol/platform/pnl-distribution?apiKey='
{
  "success": true,
  "period": "daily",
  "platform": "<string>",
  "bins": [
    {
      "fromUsd": 123,
      "toUsd": 123,
      "count": 123
    }
  ],
  "belowMin": 123,
  "aboveMax": 123,
  "totalProfitableWallets": 123,
  "solPriceUsd": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

apiKey
string
query
required

Query Parameters

period
enum<string>
default:daily

Time period to aggregate over

Available options:
daily,
weekly,
monthly
platform
string

Optional DEX platform filter (e.g. pumpfun, raydiumv4, orca, meteoradlmm, pumpswap). Omit for global stats.

buckets
integer
default:10

Number of histogram bins

Required range: 2 <= x <= 100
min
number
default:0

Minimum PnL in USD for the histogram range

max
number
default:100000

Maximum PnL in USD for the histogram range

Response

Success

success
boolean
period
enum<string>
Available options:
daily,
weekly,
monthly
platform
string

DEX platform filter applied, or "all" if unfiltered

bins
object[]

Histogram bins with wallet counts

belowMin
integer

Wallets with PnL below the requested min

aboveMax
integer

Wallets with PnL above the requested max

totalProfitableWallets
integer
solPriceUsd
number
timestamp
string<date-time>